Skip to main content
POST
/
v1
/
projects
/
{projectId}
/
repositories
curl --request POST \ --url https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/repositories \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "provider": "azure-devops", "providerParameters": { "organization": "my-azure-organisation", "repositoryId": "existing-repo-id", "tenantId": "my-tenant-id" }, "repositoryName": "azure-repo-name" } '
{
  "detail": "<string>",
  "instance": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "<string>",
  "violations": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.maia.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

a valid bearer token

Headers

Git-Provider-Access-Token
string

Path Parameters

projectId
string
required
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Body

application/json
provider
enum<string>
required

The Git provider type

Available options:
github,
azure-devops
Example:

"github"

repositoryName
string
required

The name of the repository

Required string length: 1 - 255
Example:

"my-project-repository"

providerParameters
object
required

${repositories.create.providerParameters.desc}

Response

Repository associated successfully